$(function(){
  //Emergence.js
  $(".eg").attr("data-emergence","hidden");
  emergence.init({
    reset: false,
    offsetTop: -50,
    offsetBottom: -50,
  });

  //スマホメニュー作成
  var $head = $( 'header' );
  $('<p class="head-menu"><span class="top"></span><span class="middle"></span><span class="bottom"></span></p>').appendTo($head.find(".inside"));
  var spMenu = $(".head-nav");
  var $btn = $('.head-menu');
  $btn.click(function(){
    $head.toggleClass('active');
  });
  $head.find("a").click(function(){
    $head.removeClass('active');
  });

  var startPos = 0,winScrollTop = 0;
  $(window).scroll(function () {
    winScrollTop = $(this).scrollTop();
    if (winScrollTop > 300) {
      $head.addClass('down');
      if (winScrollTop >= startPos) {
        $head.addClass('up');
      } else {
        $head.removeClass('up');
      }
      startPos = winScrollTop;
    }
    else{
      $head.removeClass('down');
    }
  });

  var $nav = $( 'header nav ul' );
  var $section = $("main section")
  $section.each( function() {　//トリガーになる要素のClassを記述
    var $el = $( this ),
    animClassDown = $el.data( 'animateDown' ),
    animClassUp = $el.data( 'animateUp' );
    var $index = $section.index($el);
    $el.waypoint( function( direction ) {
      if( direction === 'down' ) {
        $nav.find("li").removeClass('current');
        $nav.find("li").eq($index).addClass("current");
      }
      else{
        $nav.find("li").removeClass('current');
        if( $index > 0 ){
          $nav.find("li").eq($index - 1).addClass("current");
        }
      }
    }, { offset: '50' } ); //要素の100px上を通過したら切り替え開始
  } );


  // パララックス
  $(window).on('scroll load', function () {
    parallaxScroll();
  });
  function parallaxScroll() {
    var scrolled = $(window).scrollTop();
    $('.parallax').each(function(){
      speed = $(this).data("speed");
      if(!speed){
        speed = 1.5;
      }
      $(this).css({
        'transform': 'translateY('+((scrolled - $(this).offset().top) * (speed / 10)) +'px)'
      });
    });
  }

  //slick.js
  $('.bg-slides').slick({
    autoplay: true,
    autoplaySpeed: 4000,
    speed: 500,
    arrows: false,
    dots: false,
    fade: true,
    infinite: true,
    slidesToShow: 1,
    slidesToScroll: 1,
    pauseOnHover : false,
    centerMode: false,
    variableWidth: false,
    swipeToSlide: true,
  });
  //ページトップ
  $(window).scroll(function () {
    var pagetop = $(".foot-pagetop");
    var scrollHeight,scrollPosition,footHeight;
    var bottom = 20;
    if ($(this).scrollTop() > 140) {
      pagetop.fadeIn();
      // ドキュメントの高さ
      scrollHeight = $(document).height();
      // ウィンドウの高さ+スクロールした高さ→ 現在のトップからの位置
      scrollPosition = $(window).height() + $(window).scrollTop();
      // フッターの高さ
      footHeight = $(".foot-bottom").outerHeight();
       
      // スクロール位置がフッターまで来たら
      if ( scrollHeight - scrollPosition  <= footHeight ) {
        pagetop.css({"position":"absolute","bottom": footHeight + bottom});
      } else {
        pagetop.css({"position":"fixed","bottom": bottom +"px"});
      }
    } else {
      pagetop.fadeOut();
    }
  });
});